---

- name: "Test password generator"
  hosts: localhost
  gather_facts: no
  vars:
    fixed_password: "{{inventory_hostname|password_generator}}"
    month_password: "{{(inventory_hostname + '%m'|strftime)|
                        password_generator}}"
  tasks:
    - name: "Display fixed generated password"
      debug:
        var: "fixed_password"
    - name: "Display monthly password"
      debug:
        var: "month_password"
